﻿// jamEngine.jsxinc v4.4.4 (minified)
if(typeof jamEngine!=='object') {var jamEngine={};(function() {var that;jamEngine.meaningfulIds=false;jamEngine.parseFriendly=false;jamEngine.displayDialogs=DialogModes.ERROR;var conflictingStringIdStrs={"'Algn'":["align","alignment"],"'AntA'":["antiAlias","antiAliasedPICTAcquire"],"'BckL'":["backgroundLayer","backgroundLevel"],"'BlcG'":["blackGenerationType","blackGenerationCurve"],"'BlcL'":["blackLevel","blackLimit"],"'Blks'":["blacks","blocks"],"'BlrM'":["blurMethod","blurMore"],"'BrgC'":["brightnessEvent","brightnessContrast"],"'BrsD'":["brushDetail","brushesDefine"],"'Brsh'":["brush","brushes"],"'Clcl'":["calculation","calculations"],"'ClrP'":["colorPalette","coloredPencil"],"'Cnst'":["constant","constrain"],"'CntC'":["centerCropMarks","conteCrayon"],"'Cntr'":["center","contrast"],"'CrtD'":["createDroplet","createDuplicate"],"'CstP'":["customPalette","customPhosphors"],"'Cstm'":["custom","customPattern"],"'Drkn'":["darken","darkness"],"'Dstr'":["distort","distortion","distribute","distribution"],"'Dstt'":["desaturate","destWhiteMax"],"'FlIn'":["fileInfo","fillInverse"],"'Gd  '":["good","guide"],"'GnrP'":["generalPreferences","generalPrefs","preferencesClass"],"'GrSt'":["grainStippled","graySetup"],"'Grdn'":["gradientClassEvent","gridMinor"],"'Grn '":["grain","green"],"'Grns'":["graininess","greens"],"'HstP'":["historyPreferences","historyPrefs"],"'HstS'":["historyState","historyStateSourceType"],"'ImgP'":["imageCachePreferences","imagePoint"],"'In  '":["in","stampIn"],"'IntW'":["interfaceWhite","intersectWith"],"'Intr'":["interfaceIconFrameDimmed","interlace","interpolation","intersect"],"'JPEG'":["JPEG","JPEGFormat"],"'LghD'":["lightDirection","lightDirectional"],"'LghO'":["lightOmni","lightenOnly"],"'LghS'":["lightSource","lightSpot"],"'Lns '":["lens","lines"],"'Mgnt'":["magenta","magentas"],"'MrgL'":["mergeLayers","mergedLayers"],"'Mxm '":["maximum","maximumQuality"],"'NTSC'":["NTSC","NTSCColors"],"'NmbL'":["numberOfLayers","numberOfLevels"],"'PlgP'":["pluginPicker","pluginPrefs"],"'Pncl'":["pencilEraser","pencilWidth"],"'Pnt '":["paint","point"],"'Prsp'":["perspective","perspectiveIndex"],"'PrvM'":["previewMacThumbnail","previewMagenta"],"'Pstr'":["posterization","posterize"],"'RGBS'":["RGBSetup","RGBSetupSource"],"'Rds '":["radius","reds"],"'ScrD'":["scratchDisks","screenDot"],"'ShdI'":["shadingIntensity","shadowIntensity"],"'ShpC'":["shapeCurveType","shapingCurve"],"'ShrE'":["sharpenEdges","shearEd"],"'Shrp'":["sharpen","sharpness"],"'SplC'":["splitChannels","supplementalCategories"],"'Spot'":["spot","spotColor"],"'SprS'":["separationSetup","sprayedStrokes"],"'StrL'":["strokeLength","strokeLocation"],"'Strt'":["saturation","start"],"'TEXT'":["char","textType"],"'TIFF'":["TIFF","TIFFFormat"],"'TglO'":["toggleOptionsPalette","toggleOthers"],"'TrnG'":["transparencyGamutPreferences","transparencyGrid","transparencyGridSize"],"'TrnS'":["transferSpec","transparencyShape","transparencyStop"],"'Trns'":["transparency","transparent"],"'TxtC'":["textClickPoint","textureCoverage"],"'TxtF'":["textureFile","textureFill"],"'UsrM'":["userMaskEnabled","userMaskOptions"],"'c@#^'":["inherits","pInherits"],"'comp'":["comp","sInt64"],"'doub'":["floatType","IEEE64BitFloatingPoint","longFloat"],"'long'":["integer","longInteger","sInt32"],"'magn'":["magnitude","uInt32"],"'null'":["null","target"],"'shor'":["sInt16","sMInt","shortInteger"],"'sing'":["IEEE32BitFloatingPoint","sMFloat","shortFloat"]};jamEngine.getConflictingStringIdStrs=function(charIdStr) {return conflictingStringIdStrs[charIdStr]||null;};jamEngine.uniIdStrToId=function(uniIdStr) {var id=0;if(typeof uniIdStr==='string') {if((uniIdStr.length===(1+4+1))&&(uniIdStr.charAt(0)==="'")&&(uniIdStr.charAt(5)==="'")) {id=app.charIDToTypeID(uniIdStr.substring(1,5));} else {id=app.stringIDToTypeID(uniIdStr);}} return id;};var smallestHashValue=app.charIDToTypeID("    ");jamEngine.idToUniIdStrs=function(id) {var charIdStr="";var stringIdStr=app.typeIDToStringID(id);if(id>=smallestHashValue) {charIdStr="'"+app.typeIDToCharID(id)+"'";if(stringIdStr!=="") {if(charIdStr in conflictingStringIdStrs) {stringIdStr=conflictingStringIdStrs[charIdStr];}}} return[charIdStr,stringIdStr];};jamEngine.equivalentUniIdStrs=function(uniIdStr1,uniIdStr2) {return this.uniIdStrToId(uniIdStr1)===this.uniIdStrToId(uniIdStr2);};function putInReference(ref,containers) {if(containers.constructor===Array) {var count=containers.length;for(var i=0;i<count;i++) {var container=that.parseCompact(containers[i]);var desiredClassId=that.uniIdStrToId(container[0]);var typedValue=that.parseCompact(container[1]);var form=typedValue[0];var value=typedValue[1];switch(form) {case"<class>":ref.putClass(desiredClassId);break;case"<enumerated>":var enumerated=that.parseCompact(value);ref.putEnumerated(desiredClassId,that.uniIdStrToId(enumerated[0]),that.uniIdStrToId(enumerated[1]));break;case"<identifier>":ref.putIdentifier(desiredClassId,value);break;case"<index>":ref.putIndex(desiredClassId,value);break;case"<name>":ref.putName(desiredClassId,value);break;case"<offset>":ref.putOffset(desiredClassId,value);break;case"<property>":ref.putProperty(desiredClassId,that.uniIdStrToId(value));break;default:throw new Error("[jamEngine putInReference] Unknown reference form: "+form);break;}}} else {throw new Error("[jamEngine putInReference] JavaScript array expected");}} function putInList(list,items) {if(items.constructor===Array) {var count=items.length;for(var i=0;i<count;i++) {var item=that.parseCompact(items[i]);var type=item[0];var value=item[1];switch(type) {case"<boolean>":list.putBoolean(value);break;case"<class>":list.putClass(that.uniIdStrToId(value));break;case"<data>":list.putData(value);break;case"<double>":list.putDouble(value);break;case"<enumerated>":var enumerated=that.parseCompact(value);list.putEnumerated(that.uniIdStrToId(enumerated[0]),that.uniIdStrToId(enumerated[1]));break;case"<integer>":list.putInteger(value);break;case"<largeInteger>":list.putLargeInteger(value);break;case"<list>":var actionList=new ActionList();putInList(actionList,value);list.putList(actionList);break;case"<object>":var object=that.parseCompact(value);if(object[1]) {var actionDescriptor=new ActionDescriptor();putInDescriptor(actionDescriptor,object[1]);list.putObject(that.uniIdStrToId(object[0]),actionDescriptor);} else {list.putClass(that.uniIdStrToId(object[0]));} break;case"<path>":var fileRef=new File(value);list.putPath(fileRef);break;case"<reference>":var actionReference=new ActionReference();putInReference(actionReference,value);list.putReference(actionReference);break;case"<string>":list.putString(value);break;case"<unitDouble>":var unitDouble=that.parseCompact(value);list.putUnitDouble(that.uniIdStrToId(unitDouble[0]),unitDouble[1]);break;default:throw new Error("[jamEngine putInList] Unknown list type: "+type);break;}}} else {throw new Error("[jamEngine putInList] JavaScript array expected");}} function putInDescriptor(desc,members) {if(members.constructor===Object) {for(var key in members) {if(members.hasOwnProperty(key)) {var keyID=that.uniIdStrToId(key);var member=that.parseCompact(members[key]);var type=member[0];var value=member[1];switch(type) {case"<boolean>":desc.putBoolean(keyID,value);break;case"<class>":desc.putClass(keyID,that.uniIdStrToId(value));break;case"<data>":desc.putData(keyID,value);break;case"<double>":desc.putDouble(keyID,value);break;case"<enumerated>":var enumerated=that.parseCompact(value);desc.putEnumerated(keyID,that.uniIdStrToId(enumerated[0]),that.uniIdStrToId(enumerated[1]));break;case"<integer>":desc.putInteger(keyID,value);break;case"<largeInteger>":desc.putLargeInteger(keyID,value);break;case"<list>":var actionList=new ActionList();putInList(actionList,value);desc.putList(keyID,actionList);break;case"<object>":var object=that.parseCompact(value);if(object[1]) {var actionDescriptor=new ActionDescriptor();putInDescriptor(actionDescriptor,object[1]);desc.putObject(keyID,that.uniIdStrToId(object[0]),actionDescriptor);} else {desc.putClass(keyID,that.uniIdStrToId(object[0]));} break;case"<path>":var fileRef=new File(value);desc.putPath(keyID,fileRef);break;case"<reference>":var actionReference=new ActionReference();putInReference(actionReference,value);desc.putReference(keyID,actionReference);break;case"<string>":desc.putString(keyID,value);break;case"<unitDouble>":var unitDouble=that.parseCompact(value);desc.putUnitDouble(keyID,that.uniIdStrToId(unitDouble[0]),unitDouble[1]);break;default:throw new Error("[jamEngine putInDescriptor] Unknown descriptor type: "+type);break;}}}} else {throw new Error("[jamEngine putInDescriptor] JavaScript object expected");}} var contextRules={"'Algn'":{"<classKey>":{"bevelEmboss":"align","frameFX":"align","gradientFill":"align","gradientLayer":"align","patternFill":"align","patternLayer":"align"},"<event>":"align","<key>":"alignment"},"'AntA'":{"<class>":"antiAliasedPICTAcquire","<key>":"antiAlias"},"'BckL'":{"<class>":"backgroundLayer","<key>":"backgroundLevel"},"'BlcG'":{"<enumType>":"blackGenerationType","<key>":"blackGenerationCurve"},"'BlcL'":{"<classKey>":{"'GEfc'":"blackLevel","CMYKSetup":"blackLimit"},"<eventKey>":{"reticulation":"blackLevel"}},"'Blks'":{"<typeValue>":{"colors":"blacks","extrudeType":"blocks"}},"'BlrM'":{"<enumType>":"blurMethod","<event>":"blurMore","<key>":"blurMethod"},"'BrgC'":{"<class>":"brightnessContrast","<event>":"brightnessContrast"},"'BrsD'":{"<enumValue>":"brushesDefine","<key>":"brushDetail"},"'Brsh'":{"<class>":"brush","<key>":"brushes"},"'Clcl'":{"<class>":"calculation","<enumValue>":"calculations","<key>":"calculation"},"'ClrP'":{"<typeValue>":{"'GEft'":"coloredPencil"},"<enumType>":"colorPalette","<event>":"coloredPencil"},"'Cnst'":{"<classKey>":{"channelMatrix":"constant"},"<unknown>":"constrain"},"'CntC'":{"<typeValue>":{"'GEft'":"conteCrayon"},"<event>":"conteCrayon","<key>":"centerCropMarks"},"'Cntr'":{"<classKey>":{"'GEfc'":"contrast","brightnessContrast":"contrast","document":"center","polygon":"center","quadrilateral":"center"},"<eventKey>":{"adaptCorrect":"contrast","brightnessEvent":"contrast","grain":"contrast","halftoneScreen":"contrast","sumie":"contrast","tornEdges":"contrast","waterPaper":"contrast"},"<enumValue>":"center"},"'CrtD'":{"<enumValue>":"createDuplicate","<event>":"createDroplet"},"'CstP'":{"<class>":"customPhosphors","<key>":"customPalette"},"'Cstm'":{"<enumValue>":"customPattern","<event>":"custom","<key>":"custom"},"'Drkn'":{"<enumValue>":"darken","<key>":"darkness"},"'Dstr'":{"<classKey>":{"'GEfc'":"distortion"},"<eventKey>":{"glass":"distortion","addNoise":"distribution"},"<enumType>":"distribution","<enumValue>":"distort","<event>":"distribute"},"'Dstt'":{"<enumValue>":"desaturate","<event>":"desaturate","<key>":"destWhiteMax"},"'FlIn'":{"<typeValue>":{"fillColor":"fillInverse","menuItemType":"fileInfo"},"<class>":"fileInfo","<key>":"fileInfo"},"'Gd  '":{"<class>":"guide","<enumValue>":"good"},"'GnrP'":{"<class>":"preferencesClass","<enumValue>":"generalPreferences","<key>":"generalPrefs"},"'GrSt'":{"<class>":"graySetup","<enumValue>":"grainStippled","<key>":"graySetup"},"'Grdn'":{"<class>":"gradientClassEvent","<event>":"gradientClassEvent","<key>":"gridMinor"},"'Grn '":{"<typeValue>":{"'GEft'":"grain"},"<classKey>":{"'GEfc'":"grain","RGBColor":"green","blackAndWhite":"green","channelMatrix":"green","channelMixer":"green"},"<eventKey>":{"blackAndWhite":"green","channelMixer":"green","filmGrain":"grain"},"<enumValue>":"green","<event>":"grain"},"'Grns'":{"<enumValue>":"greens","<key>":"graininess"},"'HstP'":{"<enumValue>":"historyPreferences","<key>":"historyPrefs"},"'HstS'":{"<class>":"historyState","<enumType>":"historyStateSourceType"},"'ImgP'":{"<class>":"imagePoint","<enumValue>":"imageCachePreferences"},"'In  '":{"<enumValue>":"stampIn","<key>":"in"},"'IntW'":{"<event>":"intersectWith","<key>":"interfaceWhite"},"'Intr'":{"<typeValue>":{"shapeOperation":"intersect"},"<classKey>":{"GIFFormat":"interlace","SaveForWeb":"interlace","application":"interfaceIconFrameDimmed","computedBrush":"interpolation","dBrush":"interpolation","gradientClassEvent":"interpolation","photoshopEPSFormat":"interpolation","sampledBrush":"interpolation"},"<eventKey>":{"convertMode":"interpolation","imageSize":"interpolation","transform":"interpolation"},"<event>":"intersect"},"'JPEG'":{"<class>":"JPEGFormat","<enumValue>":"JPEG"},"'LghD'":{"<enumType>":"lightDirection","<enumValue>":"lightDirectional","<key>":"lightDirection"},"'LghO'":{"<typeValue>":{"diffuseMode":"lightenOnly","lightType":"lightOmni"}},"'LghS'":{"<class>":"lightSource","<enumValue>":"lightSpot","<key>":"lightSource"},"'Lns '":{"<enumType>":"lens","<enumValue>":"lines","<key>":"lens"},"'Mgnt'":{"<typeValue>":{"channel":"magenta","colors":"magentas","guideGridColor":"magenta"},"<key>":"magenta"},"'MrgL'":{"<enumValue>":"mergedLayers","<event>":"mergeLayers"},"'Mxm '":{"<enumValue>":"maximumQuality","<event>":"maximum","<key>":"maximum"},"'NTSC'":{"<enumValue>":"NTSC","<event>":"NTSCColors"},"'NmbL'":{"<classKey>":{"'GEfc'":"numberOfLevels","document":"numberOfLayers"},"<eventKey>":{"cutout":"numberOfLevels"}},"'PlgP'":{"<class>":"pluginPrefs","<enumValue>":"pluginPicker","<key>":"pluginPrefs"},"'Pncl'":{"<enumValue>":"pencilEraser","<key>":"pencilWidth"},"'Pnt '":{"<typeValue>":{"textType":"point"},"<class>":"point","<event>":"paint"},"'Prsp'":{"<enumValue>":"perspective","<key>":"perspectiveIndex"},"'PrvM'":{"<enumValue>":"previewMagenta","<key>":"previewMacThumbnail"},"'Pstr'":{"<class>":"posterize","<event>":"posterize","<key>":"posterization"},"'RGBS'":{"<enumType>":"RGBSetupSource","<key>":"RGBSetup"},"'Rds '":{"<enumValue>":"reds","<key>":"radius"},"'ScrD'":{"<enumValue>":"screenDot","<key>":"scratchDisks"},"'ShdI'":{"<classKey>":{"'GEfc'":"shadowIntensity"},"<eventKey>":{"watercolor":"shadowIntensity"},"<unknown>":"shadingIntensity"},"'ShpC'":{"<classKey>":{"application":"shapingCurve"},"<class>":"shapingCurve","<key>":"shapeCurveType"},"'ShrE'":{"<event>":"sharpenEdges","<key>":"shearEd"},"'Shrp'":{"<event>":"sharpen","<key>":"sharpness"},"'SplC'":{"<event>":"splitChannels","<key>":"supplementalCategories"},"'Spot'":{"<enumValue>":"spotColor","<key>":"spot"},"'SprS'":{"<typeValue>":{"'GEft'":"sprayedStrokes"},"<enumValue>":"separationSetup","<event>":"sprayedStrokes"},"'StrL'":{"<enumType>":"strokeLocation","<key>":"strokeLength"},"'Strt'":{"<classKey>":{"currentToolOptions":"saturation","fileNamingRules":"start","HSBColorClass":"saturation","hueSatAdjustment":"saturation","hueSatAdjustmentV2":"saturation","lineClass":"start","range":"start","vibrance":"saturation"},"<eventKey>":{"replaceColor":"saturation","variations":"saturation","vibrance":"saturation"},"<enumValue>":"saturation"},"'TEXT'":{"<enumType>":"textType","<key>":"textType"},"'TIFF'":{"<class>":"TIFFFormat","<enumValue>":"TIFF"},"'TglO'":{"<enumValue>":"toggleOptionsPalette","<key>":"toggleOthers"},"'TrnG'":{"<classKey>":{"application":"transparencyGrid","transparencyPrefs":"transparencyGridSize"},"<enumType>":"transparencyGridSize","<enumValue>":"transparencyGamutPreferences"},"'TrnS'":{"<classKey>":{"bevelEmboss":"transparencyShape","dropShadow":"transparencyShape","innerGlow":"transparencyShape","innerShadow":"transparencyShape","outerGlow":"transparencyShape"},"<class>":"transparencyStop","<unknown>":"transferSpec"},"'Trns'":{"<enumValue>":"transparent","<key>":"transparency"},"'TxtC'":{"<classKey>":{"'GEfc'":"textureCoverage","textLayer":"textClickPoint"},"<eventKey>":{"underpainting":"textureCoverage"}},"'TxtF'":{"<event>":"textureFill","<key>":"textureFile"},"'UsrM'":{"<enumType>":"userMaskOptions","<key>":"userMaskEnabled"},"'null'":{"<class>":"null","<enumValue>":"null","<event>":"null","<key>":"target"}};function getFromId(context,parentContext) {var uniIdStr;var kind=context[0];var id=context[1];if(id<smallestHashValue) {uniIdStr=app.typeIDToStringID(id);} else {uniIdStr="'"+app.typeIDToCharID(id)+"'";if(that.meaningfulIds) {if(uniIdStr in contextRules) {function resolveIdStr(candidates) {var idStr="";for(var parentString in candidates) {if(candidates.hasOwnProperty(parentString)) {if(parentContext[1]===that.uniIdStrToId(parentString)) {idStr=candidates[parentString];break;}}} return idStr;} var resolvedIdStr="";var rule=contextRules[uniIdStr];if(parentContext) {switch(kind) {case"<key>":if((parentContext[0]==="<class>")&&("<classKey>"in rule)) {resolvedIdStr=resolveIdStr(rule["<classKey>"]);} else if((parentContext[0]==="<event>")&&("<eventKey>"in rule)) {resolvedIdStr=resolveIdStr(rule["<eventKey>"]);} break;case"<enumValue>":if((parentContext[0]==="<enumType>")&&("<typeValue>"in rule)) {resolvedIdStr=resolveIdStr(rule["<typeValue>"]);} break;}} if(resolvedIdStr!=="") {uniIdStr=resolvedIdStr;} else if(kind in rule) {uniIdStr=rule[kind];}} else {var stringIDStr=app.typeIDToStringID(id);if(stringIDStr!=="") {uniIdStr=stringIDStr;}}}} return uniIdStr;} var incompatiblePlatformPath="";var getEventId=app.stringIDToTypeID("get");var targetKeyId=app.stringIDToTypeID("target");var propertyClassId=app.stringIDToTypeID("property");function getFromReference(ref) {var propertyId=0;var arr=[];do {try{var desiredClassId=ref.getDesiredClass();}catch(e){break;} if(propertyId!==0) {var propertyCompact=that.buildCompact("<property>",getFromId(["<key>",propertyId],["<class>",desiredClassId]));arr.push(that.buildCompact(getFromId(["<class>",propertyClassId]),propertyCompact));propertyId=0;} var desiredCompact;var aFormID=ref.getForm();switch(aFormID) {case ReferenceFormType.CLASSTYPE:desiredCompact=that.buildCompact("<class>",null);break;case ReferenceFormType.ENUMERATED:var enumTypeContext=["<enumType>",ref.getEnumeratedType()];var enumValueContext=["<enumValue>",ref.getEnumeratedValue()];desiredCompact=that.buildCompact("<enumerated>",that.buildCompact(getFromId(enumTypeContext),getFromId(enumValueContext,enumTypeContext)));break;case ReferenceFormType.IDENTIFIER:desiredCompact=that.buildCompact("<identifier>",ref.getIdentifier());break;case ReferenceFormType.INDEX:desiredCompact=that.buildCompact("<index>",ref.getIndex());break;case ReferenceFormType.NAME:desiredCompact=that.buildCompact("<name>",ref.getName());break;case ReferenceFormType.OFFSET:desiredCompact=that.buildCompact("<offset>",ref.getOffset());break;case ReferenceFormType.PROPERTY:if(desiredClassId===propertyClassId) {propertyId=ref.getProperty();} else {desiredCompact=that.buildCompact("<property>",getFromId(["<key>",ref.getProperty()],["<class>",desiredClassId]));} break;default:throw new Error("[jamEngine getFromReference] Unknown reference form type: "+aFormID);break;} if(desiredClassId!==propertyClassId) {arr.push(that.buildCompact(getFromId(["<class>",desiredClassId]),desiredCompact));} ref=ref.getContainer();} while(ref);return arr;} function getFromList(list) {var arr=[];var itemCount=list.count;for(var itemIndex=0;itemIndex<itemCount;itemIndex++) {var itemCompact;var typeID;try{typeID=list.getType(itemIndex);}catch(e){continue;} switch(typeID) {case DescValueType.BOOLEANTYPE:itemCompact=that.buildCompact("<boolean>",list.getBoolean(itemIndex));break;case DescValueType.CLASSTYPE:itemCompact=that.buildCompact("<class>",getFromId(["<class>",list.getClass(itemIndex)]));break;case DescValueType.DOUBLETYPE:itemCompact=that.buildCompact("<double>",list.getDouble(itemIndex));break;case DescValueType.ENUMERATEDTYPE:var enumTypeContext=["<enumType>",list.getEnumerationType(itemIndex)];var enumValueContext=["<enumValue>",list.getEnumerationValue(itemIndex)];itemCompact=that.buildCompact("<enumerated>",that.buildCompact(getFromId(enumTypeContext),getFromId(enumValueContext,enumTypeContext)));break;case DescValueType.INTEGERTYPE:itemCompact=that.buildCompact("<integer>",list.getInteger(itemIndex));break;case DescValueType.LISTTYPE:itemCompact=that.buildCompact("<list>",getFromList(list.getList(itemIndex)));break;case DescValueType.OBJECTTYPE:var objectTypeContext=["<class>",list.getObjectType(itemIndex)];var objectValue=list.getObjectValue(itemIndex);itemCompact=that.buildCompact("<object>",that.buildCompact(getFromId(objectTypeContext),getFromDescriptor(objectValue,objectTypeContext)));break;case DescValueType.ALIASTYPE:try {var fileRef=list.getPath(itemIndex);itemCompact=that.buildCompact("<path>",fileRef.fsName);} catch(e) {itemCompact=that.buildCompact("<path>",incompatiblePlatformPath);} break;case DescValueType.REFERENCETYPE:itemCompact=that.buildCompact("<reference>",getFromReference(list.getReference(itemIndex)));break;case DescValueType.STRINGTYPE:itemCompact=that.buildCompact("<string>",list.getString(itemIndex));break;case DescValueType.UNITDOUBLE:var unitTypeContext=["<unit>",list.getUnitDoubleType(itemIndex)];var doubleValue=list.getUnitDoubleValue(itemIndex);itemCompact=that.buildCompact("<unitDouble>",that.buildCompact(getFromId(unitTypeContext),doubleValue));break;default:var isRawType;var isLargeIntegerType;try{isRawType=(typeID===DescValueType.RAWTYPE);}catch(e){} try{isLargeIntegerType=(typeID===DescValueType.LARGEINTEGERTYPE);}catch(e){} if(isRawType) {itemCompact=that.buildCompact("<data>",list.getData(itemIndex));} else if(isLargeIntegerType) {itemCompact=that.buildCompact("<largeInteger>",list.getLargeInteger(itemIndex));} else {throw new Error("[jamEngine getFromList] Unknown descriptor value type: "+typeID);} break;} arr[itemIndex]=itemCompact;} return arr;} function getFromDescriptor(desc,parentContext) {if(desc) {var obj={};var keyCount;try{keyCount=desc.count;}catch(e){return null;} for(var keyIndex=0;keyIndex<keyCount;keyIndex++) {var keyID=desc.getKey(keyIndex);var keyString=getFromId(["<key>",keyID],parentContext);var keyCompact;var typeID;try{typeID=desc.getType(keyID);}catch(e){continue;} switch(typeID) {case DescValueType.BOOLEANTYPE:keyCompact=that.buildCompact("<boolean>",desc.getBoolean(keyID));break;case DescValueType.CLASSTYPE:keyCompact=that.buildCompact("<class>",getFromId(["<class>",desc.getClass(keyID)]));break;case DescValueType.DOUBLETYPE:keyCompact=that.buildCompact("<double>",desc.getDouble(keyID));break;case DescValueType.ENUMERATEDTYPE:var enumTypeContext=["<enumType>",desc.getEnumerationType(keyID)];var enumValueContext=["<enumValue>",desc.getEnumerationValue(keyID)];keyCompact=that.buildCompact("<enumerated>",that.buildCompact(getFromId(enumTypeContext),getFromId(enumValueContext,enumTypeContext)));break;case DescValueType.INTEGERTYPE:keyCompact=that.buildCompact("<integer>",desc.getInteger(keyID));break;case DescValueType.LISTTYPE:keyCompact=that.buildCompact("<list>",getFromList(desc.getList(keyID)));break;case DescValueType.OBJECTTYPE:var objectTypeContext=["<class>",desc.getObjectType(keyID)];var objectValue=desc.getObjectValue(keyID);keyCompact=that.buildCompact("<object>",that.buildCompact(getFromId(objectTypeContext),getFromDescriptor(objectValue,objectTypeContext)));break;case DescValueType.ALIASTYPE:try {var fileRef=desc.getPath(keyID);keyCompact=that.buildCompact("<path>",fileRef.fsName);} catch(e) {keyCompact=that.buildCompact("<path>",incompatiblePlatformPath);} break;case DescValueType.REFERENCETYPE:keyCompact=that.buildCompact("<reference>",getFromReference(desc.getReference(keyID)));break;case DescValueType.STRINGTYPE:keyCompact=that.buildCompact("<string>",desc.getString(keyID));break;case DescValueType.UNITDOUBLE:var unitTypeContext=["<unit>",desc.getUnitDoubleType(keyID)];var doubleValue=desc.getUnitDoubleValue(keyID);keyCompact=that.buildCompact("<unitDouble>",that.buildCompact(getFromId(unitTypeContext),doubleValue));break;default:var isRawType;var isLargeIntegerType;try{isRawType=(typeID===DescValueType.RAWTYPE);}catch(e){} try{isLargeIntegerType=(typeID===DescValueType.LARGEINTEGERTYPE);}catch(e){} if(isRawType) {keyCompact=that.buildCompact("<data>",desc.getData(keyID));} else if(isLargeIntegerType) {keyCompact=that.buildCompact("<largeInteger>",desc.getLargeInteger(keyID));} else {throw new Error("[jamEngine getFromDescriptor] Unknown descriptor value type: "+typeID);} break;} obj[keyString]=keyCompact;} return obj;} else {return null;}} jamEngine.jsonToActionDescriptor=function(descriptorObj) {that=this;var actionDescriptor;if(descriptorObj) {actionDescriptor=new ActionDescriptor();putInDescriptor(actionDescriptor,descriptorObj);} return actionDescriptor;};jamEngine.jsonToActionReference=function(referenceArr) {that=this;var actionReference;if(referenceArr) {actionReference=new ActionReference();putInReference(actionReference,referenceArr);} return actionReference;};jamEngine.eventIdAndActionDescriptorToJson=function(eventId,actionDescriptor) {that=this;var eventIdContext=["<event>",eventId];return{"<event>":getFromId(eventIdContext),"<descriptor>":getFromDescriptor(actionDescriptor,eventIdContext)};};jamEngine.classIdAndActionDescriptorToJson=function(classId,actionDescriptor) {that=this;var classIdContext=["<class>",classId];return{"<class>":getFromId(classIdContext),"<descriptor>":getFromDescriptor(actionDescriptor,classIdContext)};};jamEngine.actionReferenceToJson=function(actionReference) {that=this;return getFromReference(actionReference);};function getReferenceClassId(ref) {classId=0;do {try{var desiredClassId=ref.getDesiredClass();}catch(e){break;} if(desiredClassId!==propertyClassId) {classId=desiredClassId;break;} ref=ref.getContainer();} while(ref);return classId;} jamEngine.jsonPlay=function(eventUniIdStr,descriptorObj,displayDialogs) {var eventId=this.uniIdStrToId(eventUniIdStr);var desc=this.jsonToActionDescriptor(descriptorObj);var parentContext;if(eventId===getEventId) {var ref=desc.getReference(targetKeyId);parentContext=["<class>",getReferenceClassId(ref)];} else {parentContext=["<event>",eventId];} return getFromDescriptor(app.executeAction(eventId,desc,displayDialogs||this.displayDialogs),parentContext);};jamEngine.jsonGet=function(referenceArr) {var ref=this.jsonToActionReference(referenceArr);return getFromDescriptor(app.executeActionGet(ref),["<class>",getReferenceClassId(ref)]);};jamEngine.normalizeJsonItem=function(item,options) {function normalizeItem(item) {var explicit=that.parseCompact(item);var type=explicit[0];var value=explicit[1];var normalizedValue;switch(type) {case"<boolean>":case"<data>":case"<double>":case"<identifier>":case"<index>":case"<integer>":case"<largeInteger>":case"<name>":case"<offset>":case"<path>":case"<string>":normalizedValue=value;break;case"<class>":normalizedValue=value&&getFromId(["<class>",that.uniIdStrToId(value)]);break;case"<enumerated>":var enumerated=that.parseCompact(value);var enumTypeContext=["<enumType>",that.uniIdStrToId(enumerated[0])];var enumValueContext=["<enumValue>",that.uniIdStrToId(enumerated[1])];normalizedValue=that.buildCompact(getFromId(enumTypeContext),getFromId(enumValueContext,enumTypeContext));break;case"<list>":normalizedValue=[];for(var i=0;i<value.length;i++) {normalizedValue.push(normalizeItem(value[i]));} break;case"<object>":var object=that.parseCompact(value);var objectClassContext=["<class>",that.uniIdStrToId(object[0])];var objectDescriptor=object[1];var normalizedDescriptor;if(objectDescriptor===null) {normalizedDescriptor=null;} else {normalizedDescriptor={};for(var key in objectDescriptor) {if(objectDescriptor.hasOwnProperty(key)) {var objectKeyContext=["<key>",that.uniIdStrToId(key)];normalizedDescriptor[getFromId(objectKeyContext,objectClassContext)]=normalizeItem(objectDescriptor[key]);}}} normalizedValue=that.buildCompact(getFromId(objectClassContext),normalizedDescriptor);break;case"<property>":normalizedValue=getFromId(["<key>",that.uniIdStrToId(value)]);break;case"<reference>":normalizedValue=[];for(var i=0;i<value.length;i++) {var container=that.parseCompact(value[i]);normalizedValue.push(that.buildCompact(getFromId(["<class>",that.uniIdStrToId(container[0])]),normalizeItem(container[1])));} break;case"<unitDouble>":var unitDouble=that.parseCompact(value);var unitTypeContext=["<unit>",that.uniIdStrToId(unitDouble[0])];normalizedValue=that.buildCompact(getFromId(unitTypeContext),unitDouble[1]);break;default:throw new Error("[jamEngine.normalizeJsonItem] Unknown item type: "+type);break;} return that.buildCompact(type,normalizedValue);} that=this;var saveMeaningfulIds=this.meaningfulIds;var saveParseFriendly=this.parseFriendly;if(options&&(options.constructor===Object)) {if(typeof options.meaningfulIds!=='undefined') {this.meaningfulIds=options.meaningfulIds;} if(typeof options.parseFriendly!=='undefined') {this.parseFriendly=options.parseFriendly;}} var normalizedItem=normalizeItem(item);this.meaningfulIds=saveMeaningfulIds;this.parseFriendly=saveParseFriendly;return normalizedItem;};function simplifyRef(ref) {var simplifiedRef=[];for(var i=0;i<ref.length;i++) {var element=ref[i];var simplifiedElement={};var desiredClass=element[0];var form=element[1][0];var value=element[1][1];switch(form) {case"<class>":case"<identifier>":case"<index>":case"<name>":case"<offset>":case"<property":simplifiedElement[desiredClass]=value;break;case"<enumerated>":simplifiedElement[desiredClass]=value[1];break;default:throw new Error("[jamEngine simplifyRef] Unexpected element form: "+form);break;} simplifiedRef.push(simplifiedElement);} return simplifiedRef;} function simplifyItem(item,hook) {var simplifiedItem;var type=item[0];var value=item[1];switch(type) {case"<boolean>":case"<class>":case"<data>":case"<double>":case"<integer>":case"<largeInteger>":case"<path>":case"<string>":simplifiedItem=value;break;case"<list>":simplifiedItem=simplifyList(value,hook);break;case"<enumerated>":case"<unitDouble>":simplifiedItem=value[1];break;case"<object>":simplifiedItem=simplifyDesc(value[1],hook);break;case"<reference>":simplifiedItem=simplifyRef(value);break;default:throw new Error("[jamEngine simplifyItem] Unexpected item type: "+type);break;} return simplifiedItem;} function simplifyList(list,hook) {var simplifiedList=[];for(var i=0;i<list.length;i++) {simplifiedList.push(simplifyItem(list[i],hook));} return simplifiedList;} function simplifyDesc(desc,hook) {var getDefaultValue=function(desc,key){return simplifyItem(desc[key],hook);};var simplifiedDesc={};for(var key in desc) {if(desc.hasOwnProperty(key)) {var value=undefined;if(typeof hook==='function') {value=hook(desc,key,getDefaultValue);} if(typeof value==='undefined') {value=simplifyItem(desc[key],hook);} simplifiedDesc[key]=value;}} return simplifiedDesc;} jamEngine.simplifyObject=function(object,hookFunction) {return simplifyDesc((this.normalizeJsonItem(object,{meaningfulIds:true,parseFriendly:true}))[1][1],hookFunction);};jamEngine.simplifyList=function(list,hookFunction) {return simplifyList((this.normalizeJsonItem(list,{meaningfulIds:true,parseFriendly:true}))[1],hookFunction);};jamEngine.parseCompact=function(compact) {var result=[];if(compact.constructor===Object) {var keys=[];for(var k in compact) {if(compact.hasOwnProperty(k)) {keys.push(k);}} if(keys.length===1) {result[0]=keys[0];result[1]=compact[keys[0]];} else {throw new Error("[jamEngine.parseCompact] Syntax error: "+compact.toSource());}} else if(compact.constructor===Array) {if(compact.length===2) {result[0]=compact[0];result[1]=compact[1];} else {throw new Error("[jamEngine.parseCompact] Syntax error: "+compact.toSource());}} else {throw new Error("[jamEngine.parseCompact] JavaScript object or array expected");} return result;};jamEngine.compactToExplicit=function(compact,typeKey,valueKey) {var explicit={};var typeValue=this.parseCompact(compact);explicit[typeKey||"<type>"]=typeValue[0];explicit[valueKey||"<value>"]=typeValue[1];return explicit;};jamEngine.buildCompact=function(type,value) {var compact;if(typeof type==='string') {if(this.parseFriendly) {compact=[type,value];} else {compact={};compact[type]=value;}} else {throw new Error("[jamEngine.buildCompact] String expected");} return compact;};jamEngine.explicitToCompact=function(explicit,typeKey,valueKey) {var compact;if(explicit.constructor===Object) {compact=this.buildCompact(explicit[typeKey||"<type>"],explicit[valueKey||"<value>"]);} else {throw new Error("[jamEngine.explicitToCompact] JavaScript object expected");} return compact;};for(var charIdStr in conflictingStringIdStrs) {if(conflictingStringIdStrs.hasOwnProperty(charIdStr)) {var stringIdStrs=conflictingStringIdStrs[charIdStr];for(var index=stringIdStrs.length-1;index>=0;index--) {var stringIdStr=stringIdStrs[index];if(!(app.charIDToTypeID(charIdStr.substring(1,5))===app.stringIDToTypeID(stringIdStr))) {stringIdStrs.splice(index,1);}} if(stringIdStrs.length<2) {delete conflictingStringIdStrs[charIdStr];}}} for(var charIdStr in contextRules) {if(contextRules.hasOwnProperty(charIdStr)) {if(charIdStr in conflictingStringIdStrs) {var rule=contextRules[charIdStr];for(var kind in rule) {if(rule.hasOwnProperty(kind)) {switch(kind) {case"<class>":case"<event>":case"<enumType>":case"<enumValue>":case"<key>":case"<unknown>":if(app.charIDToTypeID(charIdStr.substring(1,5))!=app.stringIDToTypeID(rule[kind])) {throw new Error("[jamEngine] "+"\""+charIdStr+"\" and \""+rule[kind]+"\" are not equivalent ID strings");} break;case"<classKey>":case"<eventKey>":case"<typeValue>":for(var parent in rule[kind]) {if(rule[kind].hasOwnProperty(parent)) {if(app.charIDToTypeID(charIdStr.substring(1,5))!=app.stringIDToTypeID(rule[kind][parent])) {throw new Error("[jamEngine] "+"\""+charIdStr+"\" and \""+rule[kind][parent]+"\" are not equivalent ID strings");}}} break;}}}} else {delete contextRules[charIdStr];}}}}());}


$._ext_PHXS={
    runAction: function(actionSet,action)
    {
		
        try{
			
            app.doAction(action,actionSet);
			
        }catch(e){
            if (e.number !== 8007)  // Not a user cancel error
            {
                try
                {
                    jamEngine.jsonPlay
                    (
                        "'Stop'",
                        {
                            "'Msge'":
                            {
                                "<string>": e.message.replace (/^.*\n- /, "")
                            }
                        },
                        DialogModes.ALL
                    );
                }
                catch (e)
                {
                }
            }
        }
    },
    
    runScript : function(func,arg) {
        try{
        if(!app.documents.length && func!="Close") return;
     

                   
        switch(func)
        {
       

            case "Close": {

            	// Seleccionar
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Mn  '":
            						{
            							"<name>": "RP3 Colour Centre"
            						}
            					}
            				]
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Colour Correct 1": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'Lvls'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "temp"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Merge Visible
            	jamEngine.jsonPlay
            	(
            		"'MrgV'",
            		{
            			"'Dplc'":
            			{
            				"<boolean>": true
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Colour Corrected"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<name>": "temp"
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			},
            			"'LyrI'":
            			{
            				"<list>":
            				[
            					{
            						"<integer>": 86
            					}
            				]
            			}
            		},
            		DialogModes.NO
            	);
            	// Delete
            	jamEngine.jsonPlay
            	(
            		"'Dlt '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'LyrI'":
            			{
            				"<list>":
            				[
            					{
            						"<integer>": 86
            					}
            				]
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<name>": "Colour Corrected"
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			},
            			"'LyrI'":
            			{
            				"<list>":
            				[
            					{
            						"<integer>": 87
            					}
            				]
            			}
            		},
            		DialogModes.NO
            	);
            	// Match Color
            	jamEngine.jsonPlay
            	(
            		"matchColor",
            		{
            			"'Lght'":
            			{
            				"<integer>": 100
            			},
            			"'ClrR'":
            			{
            				"<integer>": 100
            			},
            			"'Fade'":
            			{
            				"<integer>": 0
            			},
            			"neutralizeColor":
            			{
            				"<boolean>": true
            			},
            			"'fsel'":
            			{
            				"<boolean>": true
            			},
            			"noReference":
            			{
            				"<boolean>": true
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Warm Highlights": {
            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"photoFilter":
            								{
            									"'Clr '":
            									{
            										"<object>":
            										{
            											"'LbCl'":
            											{
            												"'Lmnc'":
            												{
            													"<double>": 67.06
            												},
            												"'A   '":
            												{
            													"<double>": 32
            												},
            												"'B   '":
            												{
            													"<double>": 120
            												}
            											}
            										}
            									},
            									"'Dnst'":
            									{
            										"<integer>": 25
            									},
            									"'PrsL'":
            									{
            										"<boolean>": true
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Warm Highlights"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"photoFilter":
            					{
            						"'Clr '":
            						{
            							"<object>":
            							{
            								"'LbCl'":
            								{
            									"'Lmnc'":
            									{
            										"<double>": 67
            									},
            									"'A   '":
            									{
            										"<double>": 32
            									},
            									"'B   '":
            									{
            										"<double>": 120
            									}
            								}
            							}
            						},
            						"'Dnst'":
            						{
            							"<integer>": 51
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Apply Image
            	jamEngine.jsonPlay
            	(
            		"'AppI'",
            		{
            			"'With'":
            			{
            				"<object>":
            				{
            					"'Clcl'":
            					{
            						"'T   '":
            						{
            							"<reference>":
            							[
            								{
            									"'Chnl'":
            									{
            										"<enumerated>":
            										{
            											"'Chnl'": "'RGB '"
            										}
            									}
            								},
            								{
            									"'Lyr '":
            									{
            										"<enumerated>":
            										{
            											"'Ordn'": "'Mrgd'"
            										}
            									}
            								}
            							]
            						},
            						"'Clcl'":
            						{
            							"<enumerated>":
            							{
            								"'Clcn'": "'Mltp'"
            							}
            						},
            						"'PrsT'":
            						{
            							"<boolean>": true
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Apply Image
            	jamEngine.jsonPlay
            	(
            		"'AppI'",
            		{
            			"'With'":
            			{
            				"<object>":
            				{
            					"'Clcl'":
            					{
            						"'T   '":
            						{
            							"<reference>":
            							[
            								{
            									"'Chnl'":
            									{
            										"<enumerated>":
            										{
            											"'Chnl'": "'RGB '"
            										}
            									}
            								},
            								{
            									"'Lyr '":
            									{
            										"<enumerated>":
            										{
            											"'Ordn'": "'Mrgd'"
            										}
            									}
            								}
            							]
            						},
            						"'Clcl'":
            						{
            							"<enumerated>":
            							{
            								"'Clcn'": "'Mltp'"
            							}
            						},
            						"'PrsT'":
            						{
            							"<boolean>": true
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Apply Image
            	jamEngine.jsonPlay
            	(
            		"'AppI'",
            		{
            			"'With'":
            			{
            				"<object>":
            				{
            					"'Clcl'":
            					{
            						"'T   '":
            						{
            							"<reference>":
            							[
            								{
            									"'Chnl'":
            									{
            										"<enumerated>":
            										{
            											"'Chnl'": "'RGB '"
            										}
            									}
            								},
            								{
            									"'Lyr '":
            									{
            										"<enumerated>":
            										{
            											"'Ordn'": "'Mrgd'"
            										}
            									}
            								}
            							]
            						},
            						"'Clcl'":
            						{
            							"<enumerated>":
            							{
            								"'Clcn'": "'Mltp'"
            							}
            						},
            						"'PrsT'":
            						{
            							"<boolean>": true
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Warm Shadows": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"photoFilter":
            								{
            									"'Clr '":
            									{
            										"<object>":
            										{
            											"'LbCl'":
            											{
            												"'Lmnc'":
            												{
            													"<double>": 67.06
            												},
            												"'A   '":
            												{
            													"<double>": 32
            												},
            												"'B   '":
            												{
            													"<double>": 120
            												}
            											}
            										}
            									},
            									"'Dnst'":
            									{
            										"<integer>": 25
            									},
            									"'PrsL'":
            									{
            										"<boolean>": true
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"photoFilter":
            					{
            						"'Dnst'":
            						{
            							"<integer>": 49
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Warm Shadows"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'Msk '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Apply Image
            	jamEngine.jsonPlay
            	(
            		"'AppI'",
            		{
            			"'With'":
            			{
            				"<object>":
            				{
            					"'Clcl'":
            					{
            						"'T   '":
            						{
            							"<reference>":
            							[
            								{
            									"'Chnl'":
            									{
            										"<enumerated>":
            										{
            											"'Chnl'": "'RGB '"
            										}
            									}
            								},
            								{
            									"'Lyr '":
            									{
            										"<enumerated>":
            										{
            											"'Ordn'": "'Mrgd'"
            										}
            									}
            								}
            							]
            						},
            						"'Invr'":
            						{
            							"<boolean>": true
            						},
            						"'Clcl'":
            						{
            							"<enumerated>":
            							{
            								"'Clcn'": "'Mltp'"
            							}
            						},
            						"'PrsT'":
            						{
            							"<boolean>": true
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Apply Image
            	jamEngine.jsonPlay
            	(
            		"'AppI'",
            		{
            			"'With'":
            			{
            				"<object>":
            				{
            					"'Clcl'":
            					{
            						"'T   '":
            						{
            							"<reference>":
            							[
            								{
            									"'Chnl'":
            									{
            										"<enumerated>":
            										{
            											"'Chnl'": "'RGB '"
            										}
            									}
            								},
            								{
            									"'Lyr '":
            									{
            										"<enumerated>":
            										{
            											"'Ordn'": "'Mrgd'"
            										}
            									}
            								}
            							]
            						},
            						"'Invr'":
            						{
            							"<boolean>": true
            						},
            						"'Clcl'":
            						{
            							"<enumerated>":
            							{
            								"'Clcn'": "'Mltp'"
            							}
            						},
            						"'PrsT'":
            						{
            							"<boolean>": true
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Apply Image
            	jamEngine.jsonPlay
            	(
            		"'AppI'",
            		{
            			"'With'":
            			{
            				"<object>":
            				{
            					"'Clcl'":
            					{
            						"'T   '":
            						{
            							"<reference>":
            							[
            								{
            									"'Chnl'":
            									{
            										"<enumerated>":
            										{
            											"'Chnl'": "'RGB '"
            										}
            									}
            								},
            								{
            									"'Lyr '":
            									{
            										"<enumerated>":
            										{
            											"'Ordn'": "'Mrgd'"
            										}
            									}
            								}
            							]
            						},
            						"'Invr'":
            						{
            							"<boolean>": true
            						},
            						"'Clcl'":
            						{
            							"<enumerated>":
            							{
            								"'Clcn'": "'Mltp'"
            							}
            						},
            						"'PrsT'":
            						{
            							"<boolean>": true
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Cold": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"photoFilter":
            								{
            									"'Clr '":
            									{
            										"<object>":
            										{
            											"'LbCl'":
            											{
            												"'Lmnc'":
            												{
            													"<double>": 67.06
            												},
            												"'A   '":
            												{
            													"<double>": 32
            												},
            												"'B   '":
            												{
            													"<double>": 120
            												}
            											}
            										}
            									},
            									"'Dnst'":
            									{
            										"<integer>": 25
            									},
            									"'PrsL'":
            									{
            										"<boolean>": true
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Cold"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"photoFilter":
            					{
            						"'Clr '":
            						{
            							"<object>":
            							{
            								"'LbCl'":
            								{
            									"'Lmnc'":
            									{
            										"<double>": 61
            									},
            									"'A   '":
            									{
            										"<double>": -59
            									},
            									"'B   '":
            									{
            										"<double>": -119
            									}
            								}
            							}
            						},
            						"'Dnst'":
            						{
            							"<integer>": 10
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Colder": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"photoFilter":
            								{
            									"'Clr '":
            									{
            										"<object>":
            										{
            											"'LbCl'":
            											{
            												"'Lmnc'":
            												{
            													"<double>": 67.06
            												},
            												"'A   '":
            												{
            													"<double>": 32
            												},
            												"'B   '":
            												{
            													"<double>": 120
            												}
            											}
            										}
            									},
            									"'Dnst'":
            									{
            										"<integer>": 25
            									},
            									"'PrsL'":
            									{
            										"<boolean>": true
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Colder"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"photoFilter":
            					{
            						"'Clr '":
            						{
            							"<object>":
            							{
            								"'LbCl'":
            								{
            									"'Lmnc'":
            									{
            										"<double>": 61
            									},
            									"'A   '":
            									{
            										"<double>": -59
            									},
            									"'B   '":
            									{
            										"<double>": -119
            									}
            								}
            							}
            						},
            						"'Dnst'":
            						{
            							"<integer>": 20
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Coldest": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"photoFilter":
            								{
            									"'Clr '":
            									{
            										"<object>":
            										{
            											"'LbCl'":
            											{
            												"'Lmnc'":
            												{
            													"<double>": 67.06
            												},
            												"'A   '":
            												{
            													"<double>": 32
            												},
            												"'B   '":
            												{
            													"<double>": 120
            												}
            											}
            										}
            									},
            									"'Dnst'":
            									{
            										"<integer>": 25
            									},
            									"'PrsL'":
            									{
            										"<boolean>": true
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Coldest"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"photoFilter":
            					{
            						"'Clr '":
            						{
            							"<object>":
            							{
            								"'LbCl'":
            								{
            									"'Lmnc'":
            									{
            										"<double>": 61
            									},
            									"'A   '":
            									{
            										"<double>": -59
            									},
            									"'B   '":
            									{
            										"<double>": -119
            									}
            								}
            							}
            						},
            						"'Dnst'":
            						{
            							"<integer>": 35
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Warm": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"photoFilter":
            								{
            									"'Clr '":
            									{
            										"<object>":
            										{
            											"'LbCl'":
            											{
            												"'Lmnc'":
            												{
            													"<double>": 67.06
            												},
            												"'A   '":
            												{
            													"<double>": 32
            												},
            												"'B   '":
            												{
            													"<double>": 120
            												}
            											}
            										}
            									},
            									"'Dnst'":
            									{
            										"<integer>": 25
            									},
            									"'PrsL'":
            									{
            										"<boolean>": true
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"photoFilter":
            					{
            						"'Clr '":
            						{
            							"<object>":
            							{
            								"'HSBC'":
            								{
            									"'H   '":
            									{
            										"<unitDouble>":
            										{
            											"'#Ang'": 44.000244140625
            										}
            									},
            									"'Strt'":
            									{
            										"<double>": 91.9996948195621
            									},
            									"'Brgh'":
            									{
            										"<double>": 91.9996948195621
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Warm"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Warmer": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"photoFilter":
            								{
            									"'Clr '":
            									{
            										"<object>":
            										{
            											"'LbCl'":
            											{
            												"'Lmnc'":
            												{
            													"<double>": 67.06
            												},
            												"'A   '":
            												{
            													"<double>": 32
            												},
            												"'B   '":
            												{
            													"<double>": 120
            												}
            											}
            										}
            									},
            									"'Dnst'":
            									{
            										"<integer>": 25
            									},
            									"'PrsL'":
            									{
            										"<boolean>": true
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"photoFilter":
            					{
            						"'Clr '":
            						{
            							"<object>":
            							{
            								"'HSBC'":
            								{
            									"'H   '":
            									{
            										"<unitDouble>":
            										{
            											"'#Ang'": 44.000244140625
            										}
            									},
            									"'Strt'":
            									{
            										"<double>": 91.9996948195621
            									},
            									"'Brgh'":
            									{
            										"<double>": 91.9996948195621
            									}
            								}
            							}
            						},
            						"'Dnst'":
            						{
            							"<integer>": 45
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Warmer"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Warmest": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"photoFilter":
            								{
            									"'Clr '":
            									{
            										"<object>":
            										{
            											"'LbCl'":
            											{
            												"'Lmnc'":
            												{
            													"<double>": 67.06
            												},
            												"'A   '":
            												{
            													"<double>": 32
            												},
            												"'B   '":
            												{
            													"<double>": 120
            												}
            											}
            										}
            									},
            									"'Dnst'":
            									{
            										"<integer>": 25
            									},
            									"'PrsL'":
            									{
            										"<boolean>": true
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Warmest"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"photoFilter":
            					{
            						"'Clr '":
            						{
            							"<object>":
            							{
            								"'HSBC'":
            								{
            									"'H   '":
            									{
            										"<unitDouble>":
            										{
            											"'#Ang'": 44.000244140625
            										}
            									},
            									"'Strt'":
            									{
            										"<double>": 91.9996948195621
            									},
            									"'Brgh'":
            									{
            										"<double>": 91.9996948195621
            									}
            								}
            							}
            						},
            						"'Dnst'":
            						{
            							"<integer>": 65
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Correct 2": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'Crvs'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Crvs'":
            					{
            						"presetKind":
            						{
            							"<enumerated>":
            							{
            								"presetKindType": "presetKindCustom"
            							}
            						},
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'CrvA'":
            										{
            											"'Chnl'":
            											{
            												"<reference>":
            												[
            													{
            														"'Chnl'":
            														{
            															"<enumerated>":
            															{
            																"'Chnl'": "'Cmps'"
            															}
            														}
            													}
            												]
            											},
            											"autoBlackWhite":
            											{
            												"<boolean>": true
            											},
            											"autoNeutrals":
            											{
            												"<boolean>": true
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Correct 3": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'Lvls'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "temp"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Merge Visible
            	jamEngine.jsonPlay
            	(
            		"'MrgV'",
            		{
            			"'Dplc'":
            			{
            				"<boolean>": true
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Colour Correct 3"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<name>": "temp"
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			},
            			"'LyrI'":
            			{
            				"<list>":
            				[
            					{
            						"<integer>": 72
            					}
            				]
            			}
            		},
            		DialogModes.NO
            	);
            	// Delete
            	jamEngine.jsonPlay
            	(
            		"'Dlt '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'LyrI'":
            			{
            				"<list>":
            				[
            					{
            						"<integer>": 72
            					}
            				]
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<name>": "Colour Correct 3"
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			},
            			"'LyrI'":
            			{
            				"<list>":
            				[
            					{
            						"<integer>": 73
            					}
            				]
            			}
            		},
            		DialogModes.NO
            	);
            	// Levels
            	jamEngine.jsonPlay
            	(
            		"'Lvls'",
            		{
            			"autoBlackWhite":
            			{
            				"<boolean>": true
            			},
            			"autoNeutrals":
            			{
            				"<boolean>": true
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Highlights": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"photoFilter":
            								{
            									"'Clr '":
            									{
            										"<object>":
            										{
            											"'LbCl'":
            											{
            												"'Lmnc'":
            												{
            													"<double>": 67.06
            												},
            												"'A   '":
            												{
            													"<double>": 32
            												},
            												"'B   '":
            												{
            													"<double>": 120
            												}
            											}
            										}
            									},
            									"'Dnst'":
            									{
            										"<integer>": 25
            									},
            									"'PrsL'":
            									{
            										"<boolean>": true
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"photoFilter":
            					{
            						"'Clr '":
            						{
            							"<object>":
            							{
            								"'HSBC'":
            								{
            									"'H   '":
            									{
            										"<unitDouble>":
            										{
            											"'#Ang'": 232.937622070312
            										}
            									},
            									"'Strt'":
            									{
            										"<double>": 87.4509803921569
            									},
            									"'Brgh'":
            									{
            										"<double>": 91.7647058823529
            									}
            								}
            							}
            						},
            						"'Dnst'":
            						{
            							"<integer>": 39
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'Msk '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Apply Image
            	jamEngine.jsonPlay
            	(
            		"'AppI'",
            		{
            			"'With'":
            			{
            				"<object>":
            				{
            					"'Clcl'":
            					{
            						"'T   '":
            						{
            							"<reference>":
            							[
            								{
            									"'Chnl'":
            									{
            										"<enumerated>":
            										{
            											"'Chnl'": "'RGB '"
            										}
            									}
            								},
            								{
            									"'Lyr '":
            									{
            										"<enumerated>":
            										{
            											"'Ordn'": "'Mrgd'"
            										}
            									}
            								}
            							]
            						},
            						"'Clcl'":
            						{
            							"<enumerated>":
            							{
            								"'Clcn'": "'Mltp'"
            							}
            						},
            						"'PrsT'":
            						{
            							"<boolean>": true
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Apply Image
            	jamEngine.jsonPlay
            	(
            		"'AppI'",
            		{
            			"'With'":
            			{
            				"<object>":
            				{
            					"'Clcl'":
            					{
            						"'T   '":
            						{
            							"<reference>":
            							[
            								{
            									"'Chnl'":
            									{
            										"<enumerated>":
            										{
            											"'Chnl'": "'RGB '"
            										}
            									}
            								},
            								{
            									"'Lyr '":
            									{
            										"<enumerated>":
            										{
            											"'Ordn'": "'Mrgd'"
            										}
            									}
            								}
            							]
            						},
            						"'Clcl'":
            						{
            							"<enumerated>":
            							{
            								"'Clcn'": "'Mltp'"
            							}
            						},
            						"'PrsT'":
            						{
            							"<boolean>": true
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Cold Highlights"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Show
            	jamEngine.jsonPlay
            	(
            		"'Shw '",
            		{
            			"'null'":
            			{
            				"<list>":
            				[
            					{
            						"<reference>":
            						[
            							{
            								"'Lyr '":
            								{
            									"<enumerated>":
            									{
            										"'Ordn'": "'Trgt'"
            									}
            								}
            							}
            						]
            					}
            				]
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Shadows": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"photoFilter":
            								{
            									"'Clr '":
            									{
            										"<object>":
            										{
            											"'LbCl'":
            											{
            												"'Lmnc'":
            												{
            													"<double>": 67.06
            												},
            												"'A   '":
            												{
            													"<double>": 32
            												},
            												"'B   '":
            												{
            													"<double>": 120
            												}
            											}
            										}
            									},
            									"'Dnst'":
            									{
            										"<integer>": 25
            									},
            									"'PrsL'":
            									{
            										"<boolean>": true
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Cold Shadows"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"photoFilter":
            					{
            						"'Clr '":
            						{
            							"<object>":
            							{
            								"'HSBC'":
            								{
            									"'H   '":
            									{
            										"<unitDouble>":
            										{
            											"'#Ang'": 232.937622070312
            										}
            									},
            									"'Strt'":
            									{
            										"<double>": 87.4509803921569
            									},
            									"'Brgh'":
            									{
            										"<double>": 91.7647058823529
            									}
            								}
            							}
            						},
            						"'Dnst'":
            						{
            							"<integer>": 51
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'Msk '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Apply Image
            	jamEngine.jsonPlay
            	(
            		"'AppI'",
            		{
            			"'With'":
            			{
            				"<object>":
            				{
            					"'Clcl'":
            					{
            						"'T   '":
            						{
            							"<reference>":
            							[
            								{
            									"'Chnl'":
            									{
            										"<enumerated>":
            										{
            											"'Chnl'": "'RGB '"
            										}
            									}
            								},
            								{
            									"'Lyr '":
            									{
            										"<enumerated>":
            										{
            											"'Ordn'": "'Mrgd'"
            										}
            									}
            								}
            							]
            						},
            						"'Invr'":
            						{
            							"<boolean>": true
            						},
            						"'Clcl'":
            						{
            							"<enumerated>":
            							{
            								"'Clcn'": "'Mltp'"
            							}
            						},
            						"'PrsT'":
            						{
            							"<boolean>": true
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Levels
            	jamEngine.jsonPlay
            	(
            		"'Lvls'",
            		{
            			"presetKind":
            			{
            				"<enumerated>":
            				{
            					"presetKindType": "presetKindCustom"
            				}
            			},
            			"'Adjs'":
            			{
            				"<list>":
            				[
            					{
            						"<object>":
            						{
            							"'LvlA'":
            							{
            								"'Chnl'":
            								{
            									"<reference>":
            									[
            										{
            											"'Chnl'":
            											{
            												"<enumerated>":
            												{
            													"'Ordn'": "'Trgt'"
            												}
            											}
            										}
            									]
            								},
            								"'Inpt'":
            								{
            									"<list>":
            									[
            										{
            											"<integer>": 39
            										},
            										{
            											"<integer>": 246
            										}
            									]
            								}
            							}
            						}
            					}
            				]
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Black White": {

                // Make
                if (true)
                {
                    jamEngine.jsonPlay
                    (
                        "make",
                        {
                            "target":
                            [
                                "<reference>",
                                [
                                    [
                                        "adjustmentLayer",
                                        [
                                            "<class>",
                                            null
                                        ]
                                    ]
                                ]
                            ],
                            "using":
                            [
                                "<object>",
                                [
                                    "adjustmentLayer",
                                    {
                                        "type":
                                        [
                                            "<object>",
                                            [
                                                "blackAndWhite",
                                                {
                                                    "presetKind":
                                                    [
                                                        "<enumerated>",
                                                        [
                                                            "presetKindType",
                                                            "presetKindDefault"
                                                        ]
                                                    ],
                                                    "red":
                                                    [
                                                        "<integer>",
                                                        40
                                                    ],
                                                    "yellow":
                                                    [
                                                        "<integer>",
                                                        60
                                                    ],
                                                    "green":
                                                    [
                                                        "<integer>",
                                                        40
                                                    ],
                                                    "cyan":
                                                    [
                                                        "<integer>",
                                                        60
                                                    ],
                                                    "blue":
                                                    [
                                                        "<integer>",
                                                        20
                                                    ],
                                                    "magenta":
                                                    [
                                                        "<integer>",
                                                        80
                                                    ],
                                                    "useTint":
                                                    [
                                                        "<boolean>",
                                                        false
                                                    ],
                                                    "tintColor":
                                                    [
                                                        "<object>",
                                                        [
                                                            "RGBColor",
                                                            {
                                                                "red":
                                                                [
                                                                    "<double>",
                                                                    225.000457763672
                                                                ],
                                                                "green":
                                                                [
                                                                    "<double>",
                                                                    211.000671386719
                                                                ],
                                                                "blue":
                                                                [
                                                                    "<double>",
                                                                    179.001159667969
                                                                ]
                                                            }
                                                        ]
                                                    ]
                                                }
                                            ]
                                        ]
                                    }
                                ]
                            ]
                        },
                        DialogModes.NO
                    );
                }
            };
            break;
            case "Colour Brightness Tool": {

                // Make
                if (true)
                {
                    jamEngine.jsonPlay
                    (
                        "make",
                        {
                            "target":
                            [
                                "<reference>",
                                [
                                    [
                                        "adjustmentLayer",
                                        [
                                            "<class>",
                                            null
                                        ]
                                    ]
                                ]
                            ],
                            "using":
                            [
                                "<object>",
                                [
                                    "adjustmentLayer",
                                    {
                                        "type":
                                        [
                                            "<object>",
                                            [
                                                "blackAndWhite",
                                                {
                                                    "presetKind":
                                                    [
                                                        "<enumerated>",
                                                        [
                                                            "presetKindType",
                                                            "presetKindDefault"
                                                        ]
                                                    ],
                                                    "red":
                                                    [
                                                        "<integer>",
                                                        40
                                                    ],
                                                    "yellow":
                                                    [
                                                        "<integer>",
                                                        60
                                                    ],
                                                    "green":
                                                    [
                                                        "<integer>",
                                                        40
                                                    ],
                                                    "cyan":
                                                    [
                                                        "<integer>",
                                                        60
                                                    ],
                                                    "blue":
                                                    [
                                                        "<integer>",
                                                        20
                                                    ],
                                                    "magenta":
                                                    [
                                                        "<integer>",
                                                        80
                                                    ],
                                                    "useTint":
                                                    [
                                                        "<boolean>",
                                                        false
                                                    ],
                                                    "tintColor":
                                                    [
                                                        "<object>",
                                                        [
                                                            "RGBColor",
                                                            {
                                                                "red":
                                                                [
                                                                    "<double>",
                                                                    225.000457763672
                                                                ],
                                                                "green":
                                                                [
                                                                    "<double>",
                                                                    211.000671386719
                                                                ],
                                                                "blue":
                                                                [
                                                                    "<double>",
                                                                    179.001159667969
                                                                ]
                                                            }
                                                        ]
                                                    ]
                                                }
                                            ]
                                        ]
                                    }
                                ]
                            ]
                        },
                        DialogModes.NO
                    );
                }
                // Set
                if (true)
                {
                    jamEngine.jsonPlay
                    (
                        "set",
                        {
                            "target":
                            [
                                "<reference>",
                                [
                                    [
                                        "layer",
                                        [
                                            "<enumerated>",
                                            [
                                                "ordinal",
                                                "targetEnum"
                                            ]
                                        ]
                                    ]
                                ]
                            ],
                            "to":
                            [
                                "<object>",
                                [
                                    "layer",
                                    {
                                        "mode":
                                        [
                                            "<enumerated>",
                                            [
                                                "blendMode",
                                                "luminosity"
                                            ]
                                        ]
                                    }
                                ]
                            ]
                        },
                        DialogModes.NO
                    );
                }
                // Set
                if (true)
                {
                    jamEngine.jsonPlay
                    (
                        "set",
                        {
                            "target":
                            [
                                "<reference>",
                                [
                                    [
                                        "adjustmentLayer",
                                        [
                                            "<enumerated>",
                                            [
                                                "ordinal",
                                                "targetEnum"
                                            ]
                                        ]
                                    ]
                                ]
                            ],
                            "to":
                            [
                                "<object>",
                                [
                                    "blackAndWhite",
                                    {
                                        "red":
                                        [
                                            "<integer>",
                                            30
                                        ],
                                        "yellow":
                                        [
                                            "<integer>",
                                            89
                                        ],
                                        "green":
                                        [
                                            "<integer>",
                                            59
                                        ],
                                        "cyan":
                                        [
                                            "<integer>",
                                            70
                                        ],
                                        "blue":
                                        [
                                            "<integer>",
                                            11
                                        ],
                                        "magenta":
                                        [
                                            "<integer>",
                                            41
                                        ]
                                    }
                                ]
                            ]
                        },
                        DialogModes.NO
                    );
                }
                // Select
                if (true)
                {
                    jamEngine.jsonPlay
                    (
                        "select",
                        {
                            "target":
                            [
                                "<reference>",
                                [
                                    [
                                        "channel",
                                        [
                                            "<enumerated>",
                                            [
                                                "channel",
                                                "RGB"
                                            ]
                                        ]
                                    ]
                                ]
                            ],
                            "makeVisible":
                            [
                                "<boolean>",
                                false
                            ]
                        },
                        DialogModes.NO
                    );
                }
                // Set
                if (true)
                {
                    jamEngine.jsonPlay
                    (
                        "set",
                        {
                            "target":
                            [
                                "<reference>",
                                [
                                    [
                                        "layer",
                                        [
                                            "<enumerated>",
                                            [
                                                "ordinal",
                                                "targetEnum"
                                            ]
                                        ]
                                    ]
                                ]
                            ],
                            "to":
                            [
                                "<object>",
                                [
                                    "layer",
                                    {
                                        "name":
                                        [
                                            "<string>",
                                            "Colour Adjust"
                                        ]
                                    }
                                ]
                            ]
                        },
                        DialogModes.NO
                    );
                }
            };
            break;
            case "Less Blue": {
            	// Crear
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'HStr'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									},
            									"'Clrz'":
            									{
            										"<boolean>": false
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Seleccionar
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Definir
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Less Blue"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Definir
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'HStr'":
            					{
            						"presetKind":
            						{
            							"<enumerated>":
            							{
            								"presetKindType": "presetKindCustom"
            							}
            						},
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'LclR'":
            											{
            												"<integer>": 5
            											},
            											"'BgnR'":
            											{
            												"<integer>": 195
            											},
            											"'BgnS'":
            											{
            												"<integer>": 225
            											},
            											"'EndS'":
            											{
            												"<integer>": 255
            											},
            											"'EndR'":
            											{
            												"<integer>": 285
            											},
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": -40
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Seleccionar
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'Msk '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Less Colour": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'HStr'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									},
            									"'Clrz'":
            									{
            										"<boolean>": false
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'HStr'":
            					{
            						"presetKind":
            						{
            							"<enumerated>":
            							{
            								"presetKindType": "presetKindCustom"
            							}
            						},
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": -40
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Less Colour"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Less Cyan": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'HStr'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									},
            									"'Clrz'":
            									{
            										"<boolean>": false
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'HStr'":
            					{
            						"presetKind":
            						{
            							"<enumerated>":
            							{
            								"presetKindType": "presetKindCustom"
            							}
            						},
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'LclR'":
            											{
            												"<integer>": 4
            											},
            											"'BgnR'":
            											{
            												"<integer>": 135
            											},
            											"'BgnS'":
            											{
            												"<integer>": 165
            											},
            											"'EndS'":
            											{
            												"<integer>": 195
            											},
            											"'EndR'":
            											{
            												"<integer>": 225
            											},
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": -40
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Less Cyan"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Less Green": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'HStr'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									},
            									"'Clrz'":
            									{
            										"<boolean>": false
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'HStr'":
            					{
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'LclR'":
            											{
            												"<integer>": 2
            											},
            											"'BgnR'":
            											{
            												"<integer>": 15
            											},
            											"'BgnS'":
            											{
            												"<integer>": 45
            											},
            											"'EndS'":
            											{
            												"<integer>": 75
            											},
            											"'EndR'":
            											{
            												"<integer>": 105
            											},
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": 0
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								},
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'LclR'":
            											{
            												"<integer>": 3
            											},
            											"'BgnR'":
            											{
            												"<integer>": 75
            											},
            											"'BgnS'":
            											{
            												"<integer>": 105
            											},
            											"'EndS'":
            											{
            												"<integer>": 135
            											},
            											"'EndR'":
            											{
            												"<integer>": 165
            											},
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": -40
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Less Green"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Less Magenta": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'HStr'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									},
            									"'Clrz'":
            									{
            										"<boolean>": false
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'HStr'":
            					{
            						"presetKind":
            						{
            							"<enumerated>":
            							{
            								"presetKindType": "presetKindCustom"
            							}
            						},
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'LclR'":
            											{
            												"<integer>": 6
            											},
            											"'BgnR'":
            											{
            												"<integer>": 255
            											},
            											"'BgnS'":
            											{
            												"<integer>": 285
            											},
            											"'EndS'":
            											{
            												"<integer>": 315
            											},
            											"'EndR'":
            											{
            												"<integer>": 345
            											},
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": -40
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Less Magenta"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Less Red": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'HStr'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									},
            									"'Clrz'":
            									{
            										"<boolean>": false
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'HStr'":
            					{
            						"presetKind":
            						{
            							"<enumerated>":
            							{
            								"presetKindType": "presetKindCustom"
            							}
            						},
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'LclR'":
            											{
            												"<integer>": 1
            											},
            											"'BgnR'":
            											{
            												"<integer>": 315
            											},
            											"'BgnS'":
            											{
            												"<integer>": 345
            											},
            											"'EndS'":
            											{
            												"<integer>": 15
            											},
            											"'EndR'":
            											{
            												"<integer>": 45
            											},
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": -40
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Less Red"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Less Yellow": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'HStr'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									},
            									"'Clrz'":
            									{
            										"<boolean>": false
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'HStr'":
            					{
            						"presetKind":
            						{
            							"<enumerated>":
            							{
            								"presetKindType": "presetKindCustom"
            							}
            						},
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'LclR'":
            											{
            												"<integer>": 2
            											},
            											"'BgnR'":
            											{
            												"<integer>": 15
            											},
            											"'BgnS'":
            											{
            												"<integer>": 45
            											},
            											"'EndS'":
            											{
            												"<integer>": 75
            											},
            											"'EndR'":
            											{
            												"<integer>": 105
            											},
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": -40
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Less Yellow"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Manual Correct": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'LyrI'":
            			{
            				"<integer>": 36
            			}
            		},
            		DialogModes.NO
            	);
            	// Fill
            	jamEngine.jsonPlay
            	(
            		"'Fl  '",
            		{
            			"'Usng'":
            			{
            				"<enumerated>":
            				{
            					"'FlCn'": "'Gry '"
            				}
            			},
            			"'Opct'":
            			{
            				"<unitDouble>":
            				{
            					"'#Prc'": 100
            				}
            			},
            			"'Md  '":
            			{
            				"<enumerated>":
            				{
            					"'BlnM'": "'Nrml'"
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Md  '":
            						{
            							"<enumerated>":
            							{
            								"'BlnM'": "'Dfrn'"
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'Thrs'":
            								{
            									"'Lvl '":
            									{
            										"<integer>": 128
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Thrs'":
            					{
            						"'Lvl '":
            						{
            							"<integer>": 10
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Quick Colour Correct": {

                // Layer Via Copy
                if (true)
                {
                    jamEngine.jsonPlay
                    (
                        "copyToLayer",
                        null,
                        DialogModes.NO
                    );
                }
                // Match Color
                if (true)
                {
                    jamEngine.jsonPlay
                    (
                        "matchColor",
                        {
                            "lightness":
                            [
                                "<integer>",
                                100
                            ],
                            "colorRange":
                            [
                                "<integer>",
                                100
                            ],
                            "fade":
                            [
                                "<integer>",
                                0
                            ],
                            "neutralizeColor":
                            [
                                "<boolean>",
                                true
                            ],
                            "selection":
                            [
                                "<boolean>",
                                true
                            ],
                            "noReference":
                            [
                                "<boolean>",
                                true
                            ]
                        },
                        DialogModes.NO
                    );
                }
                // Set
                if (true)
                {
                    jamEngine.jsonPlay
                    (
                        "set",
                        {
                            "target":
                            [
                                "<reference>",
                                [
                                    [
                                        "layer",
                                        [
                                            "<enumerated>",
                                            [
                                                "ordinal",
                                                "targetEnum"
                                            ]
                                        ]
                                    ]
                                ]
                            ],
                            "to":
                            [
                                "<object>",
                                [
                                    "layer",
                                    {
                                        "name":
                                        [
                                            "<string>",
                                            "Colour Layer"
                                        ]
                                    }
                                ]
                            ]
                        },
                        DialogModes.NO
                    );
                }
            };
            break;
            case "Vivid Blues": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'HStr'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									},
            									"'Clrz'":
            									{
            										"<boolean>": false
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'HStr'":
            					{
            						"presetKind":
            						{
            							"<enumerated>":
            							{
            								"presetKindType": "presetKindCustom"
            							}
            						},
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'LclR'":
            											{
            												"<integer>": 5
            											},
            											"'BgnR'":
            											{
            												"<integer>": 195
            											},
            											"'BgnS'":
            											{
            												"<integer>": 225
            											},
            											"'EndS'":
            											{
            												"<integer>": 255
            											},
            											"'EndR'":
            											{
            												"<integer>": 285
            											},
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": 40
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Vivid Blues"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Vivid Colours": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'HStr'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									},
            									"'Clrz'":
            									{
            										"<boolean>": false
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'HStr'":
            					{
            						"presetKind":
            						{
            							"<enumerated>":
            							{
            								"presetKindType": "presetKindCustom"
            							}
            						},
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": 15
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Colours"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<class>": "vibrance"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"vibrance":
            					{
            						"vibrance":
            						{
            							"<integer>": 15
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Create Clipping Mask
            	jamEngine.jsonPlay
            	(
            		"'GrpL'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Colours"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<name>": "Colours"
            						}
            					}
            				]
            			},
            			"selectionModifier":
            			{
            				"<enumerated>":
            				{
            					"selectionModifierType": "addToSelection"
            				}
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			},
            			"'LyrI'":
            			{
            				"<list>":
            				[
            					{
            						"<integer>": 62
            					},
            					{
            						"<integer>": 63
            					}
            				]
            			}
            		},
            		DialogModes.NO
            	);
            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"layerSection":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'From'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"layerSectionStart":
            			{
            				"<integer>": 64
            			},
            			"layerSectionEnd":
            			{
            				"<integer>": 65
            			},
            			"'Nm  '":
            			{
            				"<string>": "Group 1"
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Vivid Colours"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Vivid Cyans": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'HStr'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									},
            									"'Clrz'":
            									{
            										"<boolean>": false
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'HStr'":
            					{
            						"presetKind":
            						{
            							"<enumerated>":
            							{
            								"presetKindType": "presetKindCustom"
            							}
            						},
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'LclR'":
            											{
            												"<integer>": 4
            											},
            											"'BgnR'":
            											{
            												"<integer>": 135
            											},
            											"'BgnS'":
            											{
            												"<integer>": 165
            											},
            											"'EndS'":
            											{
            												"<integer>": 195
            											},
            											"'EndR'":
            											{
            												"<integer>": 225
            											},
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": 50
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Vivid Cyans"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Vivid Greens": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'HStr'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									},
            									"'Clrz'":
            									{
            										"<boolean>": false
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'HStr'":
            					{
            						"presetKind":
            						{
            							"<enumerated>":
            							{
            								"presetKindType": "presetKindCustom"
            							}
            						},
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'LclR'":
            											{
            												"<integer>": 3
            											},
            											"'BgnR'":
            											{
            												"<integer>": 75
            											},
            											"'BgnS'":
            											{
            												"<integer>": 105
            											},
            											"'EndS'":
            											{
            												"<integer>": 135
            											},
            											"'EndR'":
            											{
            												"<integer>": 165
            											},
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": 50
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Vivid Greens"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Vivid Mag": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'HStr'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									},
            									"'Clrz'":
            									{
            										"<boolean>": false
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'HStr'":
            					{
            						"presetKind":
            						{
            							"<enumerated>":
            							{
            								"presetKindType": "presetKindCustom"
            							}
            						},
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'LclR'":
            											{
            												"<integer>": 6
            											},
            											"'BgnR'":
            											{
            												"<integer>": 255
            											},
            											"'BgnS'":
            											{
            												"<integer>": 285
            											},
            											"'EndS'":
            											{
            												"<integer>": 315
            											},
            											"'EndR'":
            											{
            												"<integer>": 345
            											},
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": 50
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Vivid Magentas"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Vivid Reds": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'HStr'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									},
            									"'Clrz'":
            									{
            										"<boolean>": false
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'HStr'":
            					{
            						"presetKind":
            						{
            							"<enumerated>":
            							{
            								"presetKindType": "presetKindCustom"
            							}
            						},
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'LclR'":
            											{
            												"<integer>": 1
            											},
            											"'BgnR'":
            											{
            												"<integer>": 315
            											},
            											"'BgnS'":
            											{
            												"<integer>": 345
            											},
            											"'EndS'":
            											{
            												"<integer>": 15
            											},
            											"'EndR'":
            											{
            												"<integer>": 45
            											},
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": 50
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Vivid Reds"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            case "Vivid Yellows": {

            	// Make
            	jamEngine.jsonPlay
            	(
            		"'Mk  '",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<class>": null
            						}
            					}
            				]
            			},
            			"'Usng'":
            			{
            				"<object>":
            				{
            					"'AdjL'":
            					{
            						"'Type'":
            						{
            							"<object>":
            							{
            								"'HStr'":
            								{
            									"presetKind":
            									{
            										"<enumerated>":
            										{
            											"presetKindType": "presetKindDefault"
            										}
            									},
            									"'Clrz'":
            									{
            										"<boolean>": false
            									}
            								}
            							}
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'AdjL'":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'HStr'":
            					{
            						"presetKind":
            						{
            							"<enumerated>":
            							{
            								"presetKindType": "presetKindCustom"
            							}
            						},
            						"'Adjs'":
            						{
            							"<list>":
            							[
            								{
            									"<object>":
            									{
            										"'Hst2'":
            										{
            											"'LclR'":
            											{
            												"<integer>": 2
            											},
            											"'BgnR'":
            											{
            												"<integer>": 15
            											},
            											"'BgnS'":
            											{
            												"<integer>": 45
            											},
            											"'EndS'":
            											{
            												"<integer>": 75
            											},
            											"'EndR'":
            											{
            												"<integer>": 105
            											},
            											"'H   '":
            											{
            												"<integer>": 0
            											},
            											"'Strt'":
            											{
            												"<integer>": 50
            											},
            											"'Lght'":
            											{
            												"<integer>": 0
            											}
            										}
            									}
            								}
            							]
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            	// Select
            	jamEngine.jsonPlay
            	(
            		"'slct'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Chnl'":
            						{
            							"<enumerated>":
            							{
            								"'Chnl'": "'RGB '"
            							}
            						}
            					}
            				]
            			},
            			"'MkVs'":
            			{
            				"<boolean>": false
            			}
            		},
            		DialogModes.NO
            	);
            	// Set
            	jamEngine.jsonPlay
            	(
            		"'setd'",
            		{
            			"'null'":
            			{
            				"<reference>":
            				[
            					{
            						"'Lyr '":
            						{
            							"<enumerated>":
            							{
            								"'Ordn'": "'Trgt'"
            							}
            						}
            					}
            				]
            			},
            			"'T   '":
            			{
            				"<object>":
            				{
            					"'Lyr '":
            					{
            						"'Nm  '":
            						{
            							"<string>": "Vivid Yellows"
            						}
            					}
            				}
            			}
            		},
            		DialogModes.NO
            	);
            };
            break;
            
        
        }//switch end
      
    }catch(e)
    {
        if (e.number !== 8007)  // Not a user cancel error
        {
            try
            {
                jamEngine.jsonPlay
                (
                    "'Stop'",
                    {
                        "'Msge'":
                        {
                            "<string>": e.message.replace (/^.*\n- /, "")
                        }
                    },
                    DialogModes.ALL
                );
            }
            catch (e)
            {
            }
        }
    }
      
}
};

function cTID(s) {
    return charIDToTypeID(s);
}

function sTID(s) {
    return stringIDToTypeID(s);
}


function makeActiveByName( lyrName ){  
         try{  
              var desc = new ActionDescriptor();  
                   var ref = new ActionReference();  
                   ref.putName( charIDToTypeID( "Lyr " ), lyrName );  
              desc.putReference( charIDToTypeID( "null" ), ref );  
              desc.putBoolean( charIDToTypeID( "MkVs" ), false );  
              executeAction( charIDToTypeID( "slct" ), desc, DialogModes.NO );  
              return activeDocument.activeLayer;  
         }catch(e){}  
    };  
    
    
function hasLayerMask() {   
var hasLayerMask = false;   
try {   
var ref = new ActionReference();   
var keyUserMaskEnabled = app.charIDToTypeID( 'UsrM' );   
ref.putProperty( app.charIDToTypeID( 'Prpr' ), keyUserMaskEnabled );   
ref.putEnumerated( app.charIDToTypeID( 'Lyr ' ), app.charIDToTypeID( 'Ordn' ), app.charIDToTypeID( 'Trgt' ) );   
var desc = executeActionGet( ref );   
if ( desc.hasKey( keyUserMaskEnabled ) ) {   
hasLayerMask = true;   
}   
}catch(e) {   
hasLayerMask = false;   
}   
return hasLayerMask;   
}   

function selectLayerMask()
{
try{
    var idslct = charIDToTypeID( "slct" );
    var desc53 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
    var ref18 = new ActionReference();
    var idChnl = charIDToTypeID( "Chnl" );
    var idChnl = charIDToTypeID( "Chnl" );
    var idMsk = charIDToTypeID( "Msk " );
    ref18.putEnumerated( idChnl, idChnl, idMsk );
    desc53.putReference( idnull, ref18 );
    var idMkVs = charIDToTypeID( "MkVs" );
    desc53.putBoolean( idMkVs, true );
    executeAction( idslct, desc53, DialogModes.NO );
}
catch(e){}
}
function deleteLayerMask()
{
try{
    var idDlt = charIDToTypeID( "Dlt " );
    var desc10 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
    var ref4 = new ActionReference();
    var idChnl = charIDToTypeID( "Chnl" );
    var idChnl = charIDToTypeID( "Chnl" );
    var idMsk = charIDToTypeID( "Msk " );
    ref4.putEnumerated( idChnl, idChnl, idMsk );
    desc10.putReference( idnull, ref4 );
    executeAction( idDlt, desc10, DialogModes.NO );
}catch(e){}
}

function showLayerMask()
{
try{
    var idslct = charIDToTypeID( "slct" );
    var desc29 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
    var ref17 = new ActionReference();
    var idChnl = charIDToTypeID( "Chnl" );
    var idOrdn = charIDToTypeID( "Ordn" );
    var idTrgt = charIDToTypeID( "Trgt" );
    ref17.putEnumerated( idChnl, idOrdn, idTrgt );
    desc29.putReference( idnull, ref17 );
    var idMkVs = charIDToTypeID( "MkVs" );
    desc29.putBoolean( idMkVs, true );
    executeAction( idslct, desc29, DialogModes.NO );
}catch(e){}
}


function findLayerSetByName(rootRef,name)
{
var result = [];
for (var i = 0 ; i < rootRef.layers.length ; i++) {

    if (rootRef.layers[i].typename == "LayerSet") {
        if (rootRef.layers[i].name.toLowerCase()== name.toLowerCase()) 
            result.push(rootRef.layers[i]);
        else result = result.concat(findLayerSetByName(rootRef.layers[i],name));
    } 
        

        
}
return result;

}

function findLayerByName(rootRef,name)
{
var result = [];
for (var i = 0 ; i < rootRef.layers.length ; i++) {

    if (rootRef.layers[i].typename != "LayerSet") {
        if (rootRef.layers[i].name.toLowerCase()== name.toLowerCase()) 
            result.push(rootRef.layers[i]);
    } 
    else result = result.concat(findLayerByName(rootRef.layers[i],name));

        
}
return result;

}
 
function hideMaskChannels()
{
var docRef = app.activeDocument;
for(var i=0;i<docRef.channels.length;i++)
{
    if(i<3) docRef.channels[i].visible = true;
    else docRef.channels[i].visible = false;
}
}  

function deleteMaskChannels()
{
var docRef = app.activeDocument;
for(var i=docRef.channels.length-1;i>2;i--)
{
    docRef.channels[i].remove();
}
}  

function channelExists(name)
{
var docRef = app.activeDocument;
try{
    var a = docRef.channels.getByName(name);
    return true;
}catch(e){}
    
return false;     
}


function savePath()
{
    
try{
    app.activeDocument.path;
    return app.activeDocument.path;
}catch(e){return Folder.myDocuments}

}